package dev.adriankuta.visualizer.data

import kotlinx.coroutines.flow.Flow

interface AudioVisualizer: AudioVisualizerController {
    fun waveform(): Flow<WaveformFrame>

    fun fft(): Flow<FftFrame>
}
